XMLEntityHandler (Xerces2 Implementation)
Date: 2014-11-21

org.apache.xerces.impl

## Interface XMLEntityHandler

- All Known Implementing Classes:
    XML11DocumentScannerImpl, XML11DTDScannerImpl, XML11NSDocumentScannerImpl, XMLDocumentFragmentScannerImpl, XMLDocumentScannerImpl, XMLDTDScannerImpl, XMLNSDocumentScannerImpl

      public interface XMLEntityHandler

  The entity handler interface defines methods to report information about the start and end of entities.
  Version:
    $Id: XMLEntityHandler.java 446761 2006-09-15 21:59:29Z mrglavas $
  Author:
    Andy Clark, IBM
  See Also:
    `XMLEntityScanner`

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endEntity(java.lang.String name, org.apache.xerces.xni.Augmentations augs)` This method notifies the end of an entity.
    `void` | `startEntity(java.lang.String name, org.apache.xerces.xni.XMLResourceIdentifier identifier, java.lang.String encoding, org.apache.xerces.xni.Augmentations augs)` This method notifies of the start of an entity.

- - ### Method Detail

    - #### startEntity

          void startEntity(java.lang.String name,
                         org.apache.xerces.xni.XMLResourceIdentifier identifier,
                         java.lang.String encoding,
                         org.apache.xerces.xni.Augmentations augs)
                           throws org.apache.xerces.xni.XNIException

      This method notifies of the start of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.
      Parameters:
        `name` - The name of the entity.
        `identifier` - The resource identifier.
        `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

    - #### endEntity

          void endEntity(java.lang.String name,
                       org.apache.xerces.xni.Augmentations augs)
                         throws org.apache.xerces.xni.XNIException

      This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.
      Parameters:
        `name` - The name of the entity.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `org.apache.xerces.xni.XNIException` - Thrown by handler to signal an error.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.